Bug 88749 - ftpcopy complains of failed futimes call
Summary: ftpcopy complains of failed futimes call
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ftpcopy (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-13 01:14 UTC by Brian Stretch
Modified: 2007-04-18 16:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-15 10:29:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backported patch (4.34 KB, patch)
2003-04-14 10:12 UTC, Michael Schwendt
no flags Details | Diff
additional fix for --mdtm option (563 bytes, patch)
2003-04-14 10:13 UTC, Michael Schwendt
no flags Details | Diff

Description Brian Stretch 2003-04-13 01:14:58 UTC
Description of problem:
ftpcopy 0.5.2-2 complains of failed futimes calls when run, which breaks file
time comparing and forces the redownloading of all files.  The current version
(0.6.2) from ftpcopy's home website appears to work correctly. 

Version-Release number of selected component (if applicable):
0.5.2-2

How reproducible:
ftpcopy ftp://remote.site.com localdir

Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:

Comment 1 Michael Schwendt 2003-04-13 10:44:05 UTC
$ ftpcopy servername remotedir localdir
ftpcopy: failed to futimes .tmp.package-0.1-1.i386.rpm: system call not available

Comment 2 Michael Schwendt 2003-04-14 10:12:54 UTC
Created attachment 91115 [details]
backported patch

Comment 3 Michael Schwendt 2003-04-14 10:13:19 UTC
Created attachment 91116 [details]
additional fix for --mdtm option

Comment 4 Thomas Woerner 2003-04-15 10:29:39 UTC
Fixed in rawhide in rpm ftpcopy-0.6.2-2 or newer.


Note You need to log in before you can comment on or make changes to this bug.